<div class="notification" [ngClass]="{'notification__height' : isShowFullBody}">
  <form [formGroup]="form">
    <nz-list-header class="notification__header">{{'notify.label.header' | translate}}</nz-list-header>
    <nz-tabset class="notification__tab">
      <nz-tab nzTitle="{{'notify.label.titleTabAll' | translate}}" (nzSelect)="changeTab(true)">
        <div class="notification__search">
          <div nz-col nzXs="24" nzLg="24">
            <nz-date-picker class="notification__date-picker" #notifyDatePicker [nzBackdrop]='true' nzShowTime [nzInputReadOnly]='true'
              [nzAllowClear]="true" (ngModelChange)="onInputChange($event)" nzFormat="dd/MM/yyyy" ngDefaultControl
              formControlName="searchDateAll" nzPlaceHolder="{{'notify.label.datePlaceHolder' | translate}}"
              [nzRenderExtraFooter]="footerRender" [nzDropdownClassName]="'style-date-picker'"></nz-date-picker>
          </div>
        </div>
        <div class="notification__body">
          <nz-table *ngIf="!isShowFullAll" #tableDataAll [nzData]="listDataAll" [nzShowPagination]="false"
            nzTableLayout="fixed" [nzPageSize]="5">
            <tbody>
              <tr *ngFor="let data of tableDataAll.data; let i = index;" [ngClass]="{'no-view': data.isViewed === 'N'}"
                (click)="changeStatus(data)">
                <td>
                  <div class="row">
                    <div nz-col nzSpan="2" class="bell">
                      <div>
                        <em nz-icon nzType="bell" nzTheme="outline"></em>
                      </div>
                    </div>
                    <div nz-col nzSpan="20" class="title" nzTooltipTitle="{{ data.subject?.length < 30 ? null : data.subject }}"
                    nzTooltipPlacement="bottomLeft" nz-tooltip>{{ data.subject }}</div>
                    <div nz-col nzSpan="2"> <em (click)="setTodoStatus(data); $event.stopPropagation();"
                        [ngClass]="{'active fas' : data.todoStatus === 'Y', 'fal' : data.todoStatus === 'N'}"
                        class="fa-flag"></em>
                    </div>
                  </div>
                  <div class="row">
                    <div nz-col nzSpan="2"></div>
                    <div nz-col nzSpan="16" class="description" nzTooltipTitle="{{ data.shortContent?.length < 30 ? null : data.shortContent }}"
                      nzTooltipPlacement="bottomLeft" nz-tooltip>{{ data.shortContent }}</div>
                    <div nz-col nzSpan="6" class="initialized-date"><em class="fal fa-clock"></em> {{
                      data.initializedDate }} </div>
                  </div>
                </td>
              </tr>
              <tr>
                <div class="loading" *ngIf="isLoading"><em nz-icon [nzType]="'loading'"></em></div>
              </tr>
            </tbody>
          </nz-table>
          <app-list-notify *ngIf="isShowFullAll" [data]="listDataAllTemp" [params]="paramSearchFullAll"
            [date]="this.form.controls.searchDateAll.value" [isAll]="isAll"></app-list-notify>
        </div>
      </nz-tab>
      <nz-tab [nzTitle]="title" (nzSelect)="changeTab(false)">
        <ng-template #title> {{'notify.label.titleTabNotView' | translate}} <div class="notification__number"><span>
              {{listDataNotViewCount}}</span></div>
        </ng-template>
        <div class="notification__search">
          <div nz-col nzXs="24" nzLg="24">
            <nz-date-picker class="notification__date-picker" #notifyDatePickerNotView [nzBackdrop]='true' nzShowTime [nzInputReadOnly]='true'
              [nzAllowClear]="true" (ngModelChange)="onInputChange($event)" nzFormat="dd/MM/yyyy" ngDefaultControl
              formControlName="searchDateNotView" nzPlaceHolder="{{'notify.label.datePlaceHolder' | translate}}"
              [nzRenderExtraFooter]="footerRender" [nzDropdownClassName]="'style-date-picker'"></nz-date-picker>
          </div>
        </div>
        <div class="notification__body">
          <nz-table *ngIf="!isShowFullNotView" #tableDataNotView [nzData]="listDataNotView" [nzShowPagination]="false"
            nzTableLayout="fixed" [nzPageSize]="5">
            <tbody>
              <tr *ngFor="let data of tableDataNotView.data ;trackBy: trackByFn; let i = index;"
                [ngClass]="{'no-view': data.isViewed === 'N'}" (click)="changeStatus(data)">

                <td>
                  <div class="row">
                    <div nz-col nzSpan="2" class="bell">
                      <div>
                        <em nz-icon nzType="bell" nzTheme="outline"></em>
                      </div>
                    </div>
                    <div nz-col nzSpan="20" class="title" nzTooltipTitle="{{ data.subject?.length < 30 ? null : data.subject }}"
                    nzTooltipPlacement="bottomLeft" nz-tooltip>{{ data.subject }}</div>
                    <div nz-col nzSpan="2"> <em (click)="setTodoStatus(data); $event.stopPropagation();"
                        [ngClass]="{'active fas' : data.todoStatus === 'Y', 'fal' : data.todoStatus === 'N'}"
                        class="fa-flag"></em>
                    </div>
                  </div>
                  <div class="row">
                    <div nz-col nzSpan="2"></div>
                    <div nz-col nzSpan="16" class="description" nzTooltipTitle="{{ data.shortContent?.length < 30 ? null : data.shortContent }}"
                         nzTooltipPlacement="bottomLeft" nz-tooltip>{{ data.shortContent }}</div>
                    <div nz-col nzSpan="6" class="initialized-date"><em class="fal fa-clock"></em> {{
                      data.initializedDate }} </div>
                  </div>
                </td>
              </tr>
              <tr>
                <div class="loading" *ngIf="isLoading"><em nz-icon [nzType]="'loading'"></em></div>
              </tr>
            </tbody>
          </nz-table>
          <app-list-notify *ngIf="isShowFullNotView" [data]="listDataNotViewTemp" [params]="paramSearchNotViewFullAll"
            [date]="this.form.controls.searchDateNotView.value" [isAll]="isAll"></app-list-notify>
        </div>
      </nz-tab>
    </nz-tabset>
    <nz-list-footer class="notification__footer" *ngIf="!isShowFooter"><span
        (click)="showFullNotify()">{{'notify.label.showAll' | translate}}
        <em nz-icon nzType="down" nzTheme="outline"></em></span>
    </nz-list-footer>
  </form>
</div>
<ng-template #footerRender>
  <div class="notification__date-picker__btn">
    <button class="notification__date-picker__cancel" nz-button nzType="default" nzSize="large"
      (click)="close(); $event.stopPropagation();">{{'notify.label.buttonClose' | translate}}</button>
    <button nz-button nzType="primary" nzSize="large"
      (click)="search(); $event.stopPropagation();">{{'notify.label.buttonSearch' | translate}}</button>
  </div>
</ng-template>
